/* SCCP / SCTP+SUA interface */

#include <stdio.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>


#include <osmocore/logging.h>
#include <osmocore/msgb.h>

#include "tcap_user.h"

/* prototype of what we need to call in case of incoming UNITDATA */
int tcap_tco_n_unitdata_ind(struct scxp_entity *se, struct msgb *msg);

/* prototype of what we need to call in case of incoming NOTICE */
int tcap_tco_n_notice_ind(struct scxp_entity *se);

/* Called by TCAP stack if it wants to request transmission of UNITDATA */
int tcap_scXp_n_unitdata_req(struct scxp_entity *se, struct msgb *msg)
{
	printf("N-UNITDATA.req(%s)\n", hexdump(msg->data, msg->len));
	int i = open("ber.out", O_CREAT|O_WRONLY|O_TRUNC);
	write(i, msg->data, msg->len);
	close(i);
	tcap_tco_n_unitdata_ind(se, msg);
}


